package com.divillysausages.escvel.gui 
{
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class PlusButton extends Button
	{		
		
		public function PlusButton()
		{
			this.width 	= 20.0;
			this.height	= 20.0;
		}
		override public function draw():void
		{
			var w:Number = this.width;
			var h:Number = this.height;
			
			this.graphics.clear();
			this.graphics.lineStyle( 1.5, this.m_lineColour );
			this.graphics.beginGradientFill( "linear", this.colours, this.m_alphas, this.m_ratios, this.m_matrix );
			this.graphics.drawRoundRect( 0.0, 0.0, w, h, 10.0, 10.0 );
			this.graphics.endFill();
			
			// the plus
			this.graphics.beginFill( this.m_lineColour );
			this.graphics.drawRect( w * 0.25, h * 0.5 - 1.5, w * 0.5, 3.0 );
			this.graphics.endFill();
			this.graphics.beginFill( this.m_lineColour );
			this.graphics.drawRect( w * 0.5 - 1.5, h * 0.25, 3.0, h * 0.5 );
			this.graphics.endFill();
		}
		
	}

}