package com.divillysausages.escvel.gui 
{
	import com.divillysausages.ds.DS;
	import com.divillysausages.escvel.assets.Resources;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Shape;
	import flash.geom.Matrix;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class Stars extends Shape
	{
		
		private var m_bmd:BitmapData = null;
		private var m_matrix:Matrix = new Matrix;
		
		public function Stars() 
		{
			this.m_bmd 	= DS.getAsset( Resources.STARS_IMAGE ).bitmapData;
		}
		
		public function update( vel:Point ):void
		{
			// move the graphics
			this.m_matrix.translate( -vel.x * 0.2, -vel.y * 0.2 );
			
			// draw our bg
			this.graphics.clear();
			this.graphics.beginBitmapFill( this.m_bmd, this.m_matrix, true );
			this.graphics.drawRect( 0.0, 0.0, DS.stage.stageWidth, DS.stage.stageHeight );
			this.graphics.endFill();
		}
		
	}

}