package com.divillysausages.escvel.logic 
{
	import com.divillysausages.ds.collections.objectpool.ObjectPool;
	import com.divillysausages.escvel.constants.Mood;
	import com.divillysausages.escvel.gui.Feedback;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class ObjectPools 
	{
		private static var m_dirArrows:ObjectPool	= new ObjectPool( DirArrow, 5, false );
		//private static var m_bullets:ObjectPool		= new ObjectPool( Bullet, 100, true );
		private static var m_feedback:ObjectPool	= new ObjectPool( Feedback, 5, false );
		
		public static function getDirArrow( planet:Planet ):DirArrow
		{
			var d:DirArrow = ObjectPools.m_dirArrows.checkOut() as DirArrow;
			d.init( planet );
			return d;
		}
		
		public static function returnDirArrow( arrow:DirArrow ):void
		{
			ObjectPools.m_dirArrows.checkIn( arrow );
		}
		
		//public static function getBullet():Bullet
		//{
			//var b:Bullet = ObjectPools.m_bullets.checkOut() as Bullet;
			//if( b != null )
				//b.init();
			//return b;
		//}
		
		//public static function returnBullet( b:Bullet ):void
		//{
			//ObjectPools.m_bullets.checkIn( b );
		//}
		
		public static function getFeedback( msg:String, mood:Mood, x:Number, y:Number, center:Boolean = false ):Feedback
		{
			var f:Feedback = ObjectPools.m_feedback.checkOut() as Feedback;
			f.setMessage( msg, mood, x, y, center );
			f.init();
			return f;
		}
		
		public static function returnFeedback( f:Feedback ):void
		{
			ObjectPools.m_feedback.checkIn( f );
		}
		
	}

}