package com.divillysausages.escvel.state
{
	import com.divillysausages.ds.core.GameState;
	
	/**
	 * The main menu of the game
	 * @author Damian Connolly
	 */
	public class StateMainMenu extends GameState 
	{
		
		/*******************************************************************************************/
		
		private var m_main:Main = null;	// a reference to the main class
		
		/*******************************************************************************************/
		
		/**
		 * Creates the main menu state
		 * @param m		The main class
		 * @param name	The name of the state
		 */
		public function StateMainMenu( m:Main, name:String ) 
		{
			this.m_main = m;
			super(name);
		}
		
		/**
		 * Inits our game
		 */
		override public function begin():void 
		{
			Game.instance.changeState( Game.STATE_PLAY );
		}
		
	}

}