package com.divillysausages.escvel.constants
{
	import com.divillysausages.ds.util.Colour;
	
	/**
	 * Some style properties that we use in the game
	 * @author Damian Connolly
	 */
	public class Style 
	{
		
		/**
		 * The colour for the bgs
		 */
		public static const BG_COLOUR:Colour = Colour.BLACK;
		
		/**
		 * The size to have our fonts
		 */
		public static const FONT_SIZE:int = 10;
		
		/**
		 * The size for our large fonts
		 */
		public static const FONT_SIZE_LARGE:int = 20;
		
		/**
		 * The normal font colour
		 */
		public static const TEXT_COLOUR:uint = 0xffffff;
		
		/**
		 * The colour for links in the text
		 */
		public static const LINK_COLOUR:uint = 0xff4bcf31;
		
		/**
		 * The colour for the link in a HTML TextField
		 */
		public static const LINK_COLOUR_HTML:String = "#4bcf31";
		
	}

}