package com.divillysausages.escvel.gui 
{
	import com.divillysausages.escvel.assets.Resources;
	import com.divillysausages.escvel.constants.Trade;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class DoneButton extends Button
	{
		private static const TF:TextFormat = new TextFormat( Resources.GAME_FONT, 10.0 );
		
		public var label:TextField = null;
		
		public function DoneButton() 
		{
			super();
			this.width	= 100.0;
			this.height	= 25.0;
			
			this.label 						= new TextField;
			this.label.autoSize				= TextFieldAutoSize.LEFT;
			this.label.defaultTextFormat	= DoneButton.TF;
			this.label.selectable			= false;
			this.label.mouseEnabled			= false;
			this.label.mouseWheelEnabled	= false;
			this.label.embedFonts			= true;
			this.label.text					= "DONE";
			this.label.x					= this.width * 0.5 - this.label.width * 0.5;
			this.label.y					= this.height * 0.5 - this.label.height * 0.5 - 3; // magic
			this.addChild( this.label );
		}
		
	}

}