package com.divillysausages.escvel.gui 
{
	import com.divillysausages.escvel.constants.Trade;
	import flash.display.Shape;
	import flash.filters.GlowFilter;
	
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class PickUp extends Shape
	{
		public var trade:Trade 			= null;
		public var isDropOff:Boolean	= false;
		
		private var m_enabled:Boolean = false;
		
		public function get enabled():Boolean { return this.m_enabled; }
		public function set enabled( b:Boolean ):void
		{
			this.m_enabled 	= b;
			this.alpha		= ( this.m_enabled ) ? 1.0 : 0.1;
		}
		
		public function PickUp( trade:Trade, isDropOff:Boolean ) 
		{
			this.trade 		= trade;
			this.isDropOff	= isDropOff;
			this.enabled	= false; // disabled to begin with
			
			this.draw();
		}
		
		public function draw():void
		{
			this.graphics.lineStyle( 1.5, 0xffffff );
			this.graphics.lineTo( 10.0, 0.0 );
			if ( !this.isDropOff )
				this.graphics.beginFill( Trade.getColour( this.trade ) );
			this.graphics.drawCircle( 13.0, 0.0, 4.0 );
			if ( !this.isDropOff )
				this.graphics.endFill();
		}
		
	}

}