package com.divillysausages.escvel.gui 
{
	import com.divillysausages.escvel.assets.Resources;
	import com.divillysausages.escvel.constants.Trade;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class SellButton extends Button
	{
		private static const TF:TextFormat = new TextFormat( Resources.GAME_FONT, 12.0, null, null, null, null, null, null, "center" );
		
		public var label:TextField 	= null;
		public var price:int		= 0;
		
		public function SellButton() 
		{
			super();
			this.width	= 210.0;
			this.height = 80.0;
			
			this.label 						= new TextField;
			this.label.autoSize				= TextFieldAutoSize.LEFT;
			this.label.defaultTextFormat	= SellButton.TF;
			this.label.selectable			= false;
			this.label.mouseEnabled			= false;
			this.label.mouseWheelEnabled	= false;
			this.label.embedFonts			= true;
			this.addChild( this.label );
		}
		
		public function setTrade( t:Trade, price:int ):void
		{
			this.price = price;
			if ( t == null )
				this.label.text = "";
			else
			{
				this.label.text = "SELL\n" + Trade.toString( t ).toUpperCase() + "\n" + price + " credits";
				this.label.x	= this.width * 0.5 - this.label.width * 0.5;
				this.label.y	= this.height * 0.5 - this.label.height * 0.5 - 3; // magic
			}
		}
		
	}

}